<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
		Schema::table('payment_items', function (Blueprint $table) {
			$table->unique(['site_id','payment_id','invoice_id']);
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
		Schema::table('payment_items', function (Blueprint $table) {
			$table->dropUnique(['site_id','payment_id','invoice_id']);
		});
    }
};
